This package browser is in early development. Mind the rough edges.

perl-text-wrapi18n 0.06

Line wrapping for multibyte, fullwidth, combining characters and so on

This module intends to be a better Text::Wrap module. This module is needed to support multibyte character encodings such as UTF-8, EUC-JP, EUC-KR, GB2312, and Big5. This module also supports characters with irregular widths, such as combining characters (which occupy zero columns on terminal, like diacritical marks in UTF-8) and fullwidth characters (which occupy two columns on terminal, like most of east Asian characters). Also, minimal handling of languages which doesn't use whitespaces between words (like Chinese and Japanese) is supported.

Installation

Install perl-text-wrapi18n 0.06 as follows:

guix install perl-text-wrapi18n@0.06

Or install the latest version:

guix install perl-text-wrapi18n

You can also install packages in augmented, pure or containerized environments for development or simply to try them out without polluting your user profile. See the guix shell documentation for more information.